Name:     grimd
Version:  1.0.7
Release:  3%{?dist}
Summary:  Grimd Fast dns proxy that can run anywhere, built to black-hole internet advertisements and malware servers.
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/wpe/
Source0:  grimd.service
Source1:  grimd
Source2:  grimd.conf
Source3:  drblpeers.yaml

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires: systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Grimd Fast dns proxy that can run anywhere, built to black-hole internet advertisements and malware servers.
Based on kenshinx/godns and miekg/dns.
And https://github.com/looterz/grimd

%prep

mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/grimd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/grimd.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/drblpeers.yaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/grimd.conf
%config(noreplace) %{_sysconfdir}/drblpeers.yaml
%attr(755,root,root) %{_bindir}/grimd

%{_unitdir}/grimd.service

%post
%systemd_post grimd.service

%preun
%systemd_preun grimd.service

%postun
%systemd_postun_with_restart grimd.service

%changelog
* Tue Sep 26 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
+ Release 1.0.7-3 Stable.
+ Added an option to disable cache.

* Mon Sep 11 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.6 Stable.
+ I integrated the drbl-peer library into grimd.
